org.keycloak.services.clientpolicy.condition

## Class ClientScopesConditionFactory

- java.lang.Object
- - org.keycloak.services.clientpolicy.condition.ClientScopesConditionFactory

- All Implemented Interfaces:
    ComponentFactory<ClientPolicyConditionProvider,ClientPolicyConditionProvider>, ConfiguredProvider, ProviderFactory<ClientPolicyConditionProvider>, ClientPolicyConditionProviderFactory

      public class ClientScopesConditionFactory
      extends Object
      implements ClientPolicyConditionProviderFactory

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `DEFAULT`
    `static String` | `OPTIONAL`
    `static String` | `PROVIDER_ID`
    `static String` | `SCOPES`
    `static String` | `TYPE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClientScopesConditionFactory()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()` This is called when the server shuts down.
    `ClientPolicyConditionProvider` | `create(KeycloakSession session, ComponentModel model)`
    `List<ProviderConfigProperty>` | `getConfigProperties()`
    `String` | `getHelpText()`
    `String` | `getId()`
    `void` | `init(Config.Scope config)` Only called once when the factory is first created.
    `void` | `postInit(KeycloakSessionFactory factory)` Called after all provider factories have been initialized

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.keycloak.component.ComponentFactory

      `create, getCommonProviderConfigProperties, getTypeMetadata, onCreate, onUpdate, preRemove, validateConfiguration`

    - ### Methods inherited from interface org.keycloak.provider.ProviderFactory

      `order`

- - ### Field Detail

    - #### PROVIDER_ID

          public static final String PROVIDER_ID

      See Also:
        Constant Field Values

    - #### SCOPES

          public static final String SCOPES

      See Also:
        Constant Field Values

    - #### TYPE

          public static final String TYPE

      See Also:
        Constant Field Values

    - #### DEFAULT

          public static final String DEFAULT

      See Also:
        Constant Field Values

    - #### OPTIONAL

          public static final String OPTIONAL

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ClientScopesConditionFactory

          public ClientScopesConditionFactory()

  - ### Method Detail

    - #### create

          public ClientPolicyConditionProvider create(KeycloakSession session,
                                                      ComponentModel model)

      Specified by:
        `create` in interface `ComponentFactory<ClientPolicyConditionProvider,ClientPolicyConditionProvider>`

    - #### init

          public void init(Config.Scope config)

      Description copied from interface: `ProviderFactory`
      Only called once when the factory is first created. This config is pulled from keycloak_server.json
      Specified by:
        `init` in interface `ProviderFactory<ClientPolicyConditionProvider>`

    - #### postInit

          public void postInit(KeycloakSessionFactory factory)

      Description copied from interface: `ProviderFactory`
      Called after all provider factories have been initialized
      Specified by:
        `postInit` in interface `ProviderFactory<ClientPolicyConditionProvider>`

    - #### close

          public void close()

      Description copied from interface: `ProviderFactory`
      This is called when the server shuts down.
      Specified by:
        `close` in interface `ProviderFactory<ClientPolicyConditionProvider>`

    - #### getId

          public String getId()

      Specified by:
        `getId` in interface `ProviderFactory<ClientPolicyConditionProvider>`

    - #### getHelpText

          public String getHelpText()

      Specified by:
        `getHelpText` in interface `ConfiguredProvider`

    - #### getConfigProperties

          public List<ProviderConfigProperty> getConfigProperties()

      Specified by:
        `getConfigProperties` in interface `ConfiguredProvider`

Copyright © 2021 JBoss by Red Hat. All rights reserved.